
public interface UPNRechner
{
    /** F&uuml;gt dem Rechner eine Operation hinzu.
      * @param op Inplementierung einer Operation.
      */
    public void addOperation(UPNOperation op);
	
    /** Liefert die Opertion mit dem angegebenen Operationssymbol.
      * @param symbol Symbol der Operation.
      * @return Implementierung der Operation oder null falls keine vorhanden.
      */
    public UPNOperation getOperation (String symbol);
    
    /** Gibt eine Zahl in den UPN Rechner ein.
      * @param n Eingegebene Zahl.
      */
    public void enterNumber(Double n);	
     
    /** Gibt ein Operationssymbol in den UPN Rechner ein und f&uuml;hrt
      * die entsprechende Operation aus.
      * @param symbol Symbol der Operation.
      * @throws InvalidOperationException F&uuml;r dieses Symbol wurde keine Operation gefunden.
      * @throws InvalidParameterException Ung&uuml;ltiger oder fehlender Parameter.
      */
    public void enterOperation(String symbol) throws InvalidOperationException,InvalidParameterException;
}
